Product Size Label Import

This documentation describes the technical process for importing product size label data using the API.

Step-by-Step Process

Generate Signed Upload URL

Get Upload URL

Request

POST /temporary-upload-url HTTP/1.1

{
  "content_type": "text/csv",
  "file_name": "example.csv"
}

Response

{
  "path": "tmp/d24c7338-5eeb-4129-bae6-2f8e30f004bb-metaZXhhbXBsZS5jc3Y=-.csv",
  "url": "https://smake-public.s3.eu-west-1.amazonaws.com/tmp/d24c7338-5e ...",
  "headers": {
    "Content-Type": "text/csv"
  }
}

Note: The upload URL is valid for 10 minutes.

Upload Content

Upload the Content

Request

PUT /temporary-upload-url?...  HTTP/1.1
Content-Type: text/plain

size_label_handle,size_label_display_name,size_scale,size_value,size_handle,command
mens-trousers,"Men's trousers EU",D,50,mens-trousers-eu-d-50

Response

HTTP/1.1 200 OK

Note: Uploaded files will be automatically deleted after 24 hours.

Create a new import

Creates a new asynchronous import of product size labels based on a CSV file uploaded to S3.

Parameters for creating a product size label import
Field Type Description Required
path string A path of csv file uploaded to S3 Yes

Request

POST /product-size-label-imports HTTP/1.1

{
    "path": "tmp/d24c7338-5eeb-4129-bae6-2f8e30f004bb-metaZXhhbXBsZS5jc3Y=-.csv"
}

Response

HTTP/1.1 202 Accepted
Location: /product-size-label-imports/1

Check Import Status

Returns a result of product size label import with the given id = x.

Request

GET /product-size-label-imports/1  HTTP/1.1

Response

{
    "id": 1,
    "options": [],
    "state": "finished",
    "failure_message": null,
    "total_rows": 3,
    "failed_rows": 0,
    "processed_rows": 3,
    "ignored_rows": 0,
    "started_at": "2026-01-14T12:16:32+00:00",
    "finished_at": "2026-01-14T12:16:32+00:00",
    "source_file": {
        "id": 5474,
        "collection_name": "source-file",
        "file_name": "example.csv",
        "size": 266,
        "mime_type": "text/csv",
        "download_url": "https://api.smake.test/storage/files/fb9c8ddc270843c7aaadcbd383fbaa2c/example.csv?expires=1768396599&signature=ed46888300b586baa5f31835b8a44ddddaf36cfc9ac22a42f38cf7b9fe0c09c3",
        "state": null,
        "requested": null,
        "failure_message": null,
        "created_at": "2026-01-14T12:16:32+00:00",
        "updated_at": "2026-01-14T12:16:32+00:00"
    },
    "failed_report_file": null,
    "created_at": "2026-01-14T12:16:32+00:00",
    "updated_at": "2026-01-14T12:16:32+00:00"
}

Example Import File

size_label_handle,size_label_display_name,size_scale,size_value,size_handle,command
herren-hosen-eu,"Herren Hosen EU",D,50,herren-hosen-eu-d-50,
herren-hosen-eu,"Herren Hosen EU",D,48,herren-hosen-eu-d-48,
herren-hosen-eu,"Herren Hosen EU",D,46,herren-hosen-eu-d-46,